petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetDiscretization

Returns the discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetDiscretization(PetscDS prob, PetscInt f, PetscObject *disc)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

disc -The discretization object

### See Also

PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages